# Uses of Class
org.eclipse.net4j.util.om.log.RollingLog

Packages that use RollingLog
Package
Description
org.eclipse.net4j.util.om.log
Interfaces and classes for platform-independent logging.

## Uses of RollingLog in org.eclipse.net4j.util.om.log

Methods in org.eclipse.net4j.util.om.log that return RollingLog
Modifier and Type
Method
Description
`RollingLog`
RollingLog.RollingLogEvent.`getSource()`
Constructors in org.eclipse.net4j.util.om.log with parameters of type RollingLog
Modifier
Constructor
Description
``
`PropertiesEvent(RollingLog rollingLog, RollingLog.PropertiesEvent.Type type, Properties properties)`
``
`RecoveryEvent(RollingLog rollingLog, Properties properties, RollingLog.LogLine logLine)`
``
`RollingLogEvent(RollingLog rollingLog)`
``
`SplitEvent(RollingLog rollingLog, File lastFile, int lastFileNumber)`